> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# First user access

> Used in few ways:
1. If (tenantName and projectName) not empty. Register flow. Register new user with new tenant/project
2. If (tenantName or projectName) is empty. Invite flow. Looking for invite, creating new user to existing tenant




## OpenAPI

````yaml /openapi.json post /api/v1/registration
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/registration:
    post:
      tags:
        - Registration Route
      summary: First user access
      description: >
        Used in few ways:

        1. If (tenantName and projectName) not empty. Register flow. Register
        new user with new tenant/project

        2. If (tenantName or projectName) is empty. Invite flow. Looking for
        invite, creating new user to existing tenant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegistrationDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    RegistrationDto:
      required:
        - url
      type: object
      properties:
        tenantName:
          description: Name of the first tenant
          type: string
          example: My Tenant
        projectName:
          description: Name of the first project
          type: string
          example: My First Project
        url:
          description: Registration url, that will be added to registration email
          minLength: 1
          pattern: ^https?.*
          type: string
          example: https://app.extractor.dev.extractor.live/
    UserDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        tenantId:
          format: int64
          description: ID of the tenant
          type: integer
        organisationId:
          format: int64
          description: ID of the organisation
          type: integer
        firstName:
          description: The user's first name.
          type: string
        lastName:
          description: The user's last name.
          type: string
        email:
          description: The user's email address.
          type: string
        externalId:
          description: Id of the user on auth service.
          type: string
        meta:
          description: A map the user's meta properties
          type: object
          additionalProperties: {}
        roles:
          description: A list of the user's roles.
          uniqueItems: true
          type: array
          items:
            type: string
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````